Autor Tópico: Erros na atualização do ubuntu 8.04 para o 9.04 relativos ao pacote kdebase  (Lida 2210 vezes)

Offline [_Ulver_]

  • Usuário Ubuntu
  • *
  • Mensagens: 15
    • Ver perfil
Saudações, camaradas.

Dei um apt-get dist-upgrade para atualizar meu ubuntu 8.04 para o 9.04. Nos idos das instalações, me deparei com o seguinte erro:
Citar
Processando gatilhos para libc6 ...
ldconfig deferred processing now taking place
(Lendo banco de dados ... 231445 arquivos e diretórios atualmente instalados).
Preparando para substituir kdebase-runtime-data 4:4.2.2-0ubuntu1~intrepid1 (usando .../kdebase-runtime-data_4%3a4.2.4-0ubuntu1~jaunty1~ppa2_all.deb) ...
Desempacotando substituto kdebase-runtime-data ...
dpkg: erro processando /var/cache/apt/archives/kdebase-runtime-data_4%3a4.2.4-0ubuntu1~jaunty1~ppa2_all.deb (--unpack):
 tentando sobrescrever '/usr/share/doc/kde/HTML/en/kcontrol/kcmkonsole/index.cache.bz2', que também está no pacote konsole
dpkg-deb: sub-processo paste foi morto por sinal (Pipe quebrado)
Erros foram encontrados durante o processamento de:
 /var/cache/apt/archives/kdebase-runtime-data_4%3a4.2.4-0ubuntu1~jaunty1~ppa2_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Fui ao Synaptic e ele me informou que havia pacotes quebrados. Tentei reinstalá-lo e ele me afirmou a seguinte situação:
Citar
E: /var/cache/apt/archives/kdebase-runtime-data_4%3a4.2.4-0ubuntu1~jaunty1~ppa2_all.deb: tentando sobrescrever '/usr/share/doc/kde/HTML/en/kcontrol/kcmkonsole/index.cache.bz2', que também está no pacote konsole

Bom, vou explicar-lhes alguns indícios que podem vos ajudar nesse suporte. Tentei pela primeira vez atualizar este mesmo Ubuntu via Sistema > Administração > Gerenciador de Atualizações (Ou algo parecido, já que atualmente o ícone do aplicativo não está presente no submenu Administração. Talvez não foi reinstalado ainda.), aí apresentou um problema neste mesmo pacote (kdebase-runtime-data*). Deduzi que o problema estivesse relacionado ao sources.list que estava todo baseado ainda nos pacotes para o Hardy Heron, atualizei os pacotes padrão que vem com a distribuição embora tenha feito o backup do sources.list antigo...
Após isto, eu consegui atualizar boa parte de outros pacotes que antes eu não conseguia por motivos obscuros.

Por último para tentar resolver este problema, eu fui até o diretório /var/cache/apt/archives, apaguei o .deb com este problema que lá está incluso, baixei uma versão anterior do kdebase-runtime-data (a versão kdebase-runtime-data_4.2.2-0ubuntu1_all.deb) porém o problema persiste:
Citar
Preparando para substituir kdebase-runtime-data 4:4.2.2-0ubuntu1~intrepid1 (usando kdebase-runtime-data_4.2.2-0ubuntu1_all.deb) ...
Desempacotando substituto kdebase-runtime-data ...
dpkg: erro processando kdebase-runtime-data_4.2.2-0ubuntu1_all.deb (--install):
 tentando sobrescrever '/usr/share/doc/kde/HTML/en/kcontrol/kcmkonsole/index.cache.bz2', que também está no pacote konsole
dpkg-deb: sub-processo paste foi morto por sinal (Pipe quebrado)
Erros foram encontrados durante o processamento de:
 kdebase-runtime-data_4.2.2-0ubuntu1_all.deb


Grato por qualquer ajuda.
« Última modificação: 11 de Junho de 2009, 08:34 por [_Ulver_] »

Offline Riccardo Petrillo

  • Usuário Ubuntu
  • *
  • Mensagens: 240
    • Ver perfil
Re: Erros na atualização do ubuntu 8.04 para o 9.04 relativos ao pacote kdebase
« Resposta #1 Online: 13 de Junho de 2009, 01:18 »
Existem alguns comandos de manutenção que talvez possa ajudá-lo:

Procurar arquivos corrompidos: sudo apt-get check

Corrigir problemas de dependências, concluir instalação de pacotes pendentes e outros erros:

sudo apt-get -f install

Se aparecer pacotes que devam ser removidos: sudo apt-get autoremove

Remover pacotes com problemas: sudo apt-get -f remove

Solucionar problemas causados por interrupção na instalação, e pendencias na configuração do pacote:

sudo dpkg --configure -a

Ver pacotes órfãos: sudo deborphan

Se vc não conseguir resolver o problema, recomendo fazer uma instalação "limpa", isto é, a partir de um cd da versão atual 9.04, geralmente o upgrade dá problema, porque demora muito para atualizar todo o sistema pela internet e quando aparece erros fica difícil descobrir.
Notebook Samsung core i5, 8gb Ram, Nvidia 2 gb, windows 10.